@font-face {
font-family: "Fredoka";
src: url("./fonts/Fredoka-VariableFont_wdth\,wght.woff2") format("woff2")
}


*,*::before, *::after {
    box-sizing: border-box;
}


:root {
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
    font-family: "Fredoka", Arial, sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    background-color: var(--bg);
    color: var(--primary)
}


body {
    margin: 0;
}


.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    background-color: var(--primary);
    color: oklch(0.9961 0.0034 325.6) ;

    nav ul {
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
    }


    nav ul {
        margin-left: -2rem;
    }


    nav a {
        display: inline-block;
        padding-top: 1rem;
        padding-bottom: 1rem;
        padding: 1rem 2rem;
        color: inherit;
        text-decoration: none;
    }
}


footer p:last-child {
    margin: 0;
}


h2 + p {
    font-style: italic;
}


main .highlight {
    font-weight: bold;
    font-style: italic;
}



main {
    padding-top: 2vh;
    padding-bottom: 4vw;

    nav ul {
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
    }

    nav li:not(:first-child) {
        color: white;
        font-weight: bold;
        background-color: darkred;
        display: inline-block;
        padding-top: 1rem;
        padding-bottom: 1rem;
        padding: 1rem 2rem;
    }

    nav li a {
        color: inherit;
        text-decoration: none;}

    nav li:not(:first-child):hover {
        color: darkred;
        background-color: white;
    }

    nav li:not(:first-child):focus-visible {
        background-color: white;
        color: darkred;
    }

    nav li:first-child {
        margin-inline-end: auto;
    }
}


.row {
    display: flex;
    gap: 2rem;
    
    > div {
        border: 1px dashed var(--primary);
        padding: 1rem;
        flex:   1 1 auto;

        &:first-child {
            flex-grow: 2;
        }
    }
}


.cards {
    display: flex;
    gap: 1rem;
    margin: 0;
    padding: 0;
    flex-wrap: wrap;
    flex-grow: 1;

    li {
        flex-basis: 18rem;
        list-style: none;
        display: flex;
        flex-direction: column;
        border: 1px solid lightgrey;
        border-radius: 0.5rem;
        overflow: hidden;
        position: relative;
    }
    .content {
        padding: 1rem;

         & > h3 {
        font-weight: bold;
        color: oklch(0 0 0);
        }
        }
    img {
        order: -1;
        width: 100%;
        height: 120px;
    }       
}





.overlay-link {
    position: absolute;
    inset: 0;

    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
}


.cards li a:not(.overlay-link) {
    z-index: 1;
    color: oklch(0.307 0.2097 270.4);
}


.cards li:hover {
    box-shadow: 0 0 .2rem oklch(0 0 0 / .2);
}